## gnome-remote-desktop 0.1.9

=== meson_options.txt ===
option('systemd_user_unit_dir',
       type: 'string',
       value: '',
       description: 'systemd user service directory')

## gnome-remote-desktop 0.1.6

=== debian/changelog ===
gnome-remote-desktop (0.1.6-1) unstable; urgency=medium

  * Initial release. Closes: #909670

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Sep 2018 01:05:41 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-remote-desktop
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools,
               libglib2.0-dev,
               libnotify-dev,
               libpipewire-0.2-dev,
               libsecret-1-dev,
               libvncserver-dev,
               meson (>= 0.36.0),
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop

Package: gnome-remote-desktop
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         pipewire
Description: Remote desktop daemon for GNOME using PipeWire
 This daemon enables GNOME to offer remote desktop sharing using VNC
 with PipeWire. It supports both GNOME on X and GNOME on Wayland.
 Remote sharing can be enabled and managed in the GNOME Settings app.
 .
 This feature will not work on Ubuntu until mutter is recompiled
 with the remote desktop option enabled.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/gnome-remote-desktop \
		             -Dsystemd_user_unit_dir=/usr/lib/systemd/user/

## gnome-remote-desktop 0.1.7

=== debian/changelog ===
gnome-remote-desktop (0.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Thu, 21 Feb 2019 10:53:14 +0100

gnome-remote-desktop (0.1.6-2) unstable; urgency=medium

  * Add -Wl,-O1 -Wl,-z,defs -Wl,--as-needed to our LDFLAGS
  * Enable all hardening flags
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 08:50:19 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                libglib2.0-dev,
@@ -15,7 +15,7 @@
                libsecret-1-dev,
                libvncserver-dev,
                meson (>= 0.36.0),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
 Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome --buildsystem=meson

=== debian/watch ===
version=4
https://gitlab.gnome.org/jadahl/@PACKAGE@/tags \
	.*/@PACKAGE@@ANY_VERSION@\.tar\.xz

## gnome-remote-desktop 0.1.9

=== debian/changelog ===
gnome-remote-desktop (0.1.9-5) unstable; urgency=medium

  * Team upload

  [ David Mohammed ]
  * debian/control: add budgie-desktop as an alternate for gnome-shell
    (Closes: #982937)

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Mar 2021 10:31:04 +0000

gnome-remote-desktop (0.1.9-4) unstable; urgency=medium

  * debian/patches: Fix use-after-free crash on repeated VNC connections

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Feb 2021 17:14:14 +0100

gnome-remote-desktop (0.1.9-3) unstable; urgency=medium

  * Team upload
  * Add patch from upstream, via Fedora, to fix crashes
  * Add patch to make test script find bash on non-merged-/usr systems
  * Standards-Version: 4.5.1 (no changes required)
  * Simplify dependencies now that GNOME 3.38 is in unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jan 2021 13:53:19 +0000

gnome-remote-desktop (0.1.9-2) unstable; urgency=medium

  * Team upload
  * Relax runtime dependency to be satisfiable in unstable
  * Upload to unstable for PipeWire 0.3 transition (Closes: #966521)

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 14:04:30 +0100

gnome-remote-desktop (0.1.9-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/upstream/metadata: Add.
    The canonical upstream git repo has moved to
    <https://gitlab.gnome.org/GNOME/gnome-remote-desktop>.
  * d/watch, d/copyright: Switch source of releases.
    Newer versions of this package are now available from
    <https://download.gnome.org/sources/gnome-remote-desktop/>.
  * d/copyright: Update
  * d/control.in: Update dependencies for new RDP support
  * d/control.in: Depend on a compatible version of GNOME Shell

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Sep 2020 12:38:19 +0100

gnome-remote-desktop (0.1.8-1) experimental; urgency=medium

  * Team upload.

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control.in: Bump the build-dependencies

  [ Andreas Henriksson ]
  * Use user-unit dir from systemd pkg-config file
  * Make tests non-fatal for now

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 06 Sep 2020 23:43:23 +0200

gnome-remote-desktop (0.1.7-2) unstable; urgency=medium

  * Bump debhelper compatibility to 12
  * Bump Standards-Version to 4.5.0 (no further changes)
  * Move the daemon to /usr/libexec now that's allowed in the policy

 -- Laurent Bigonville <bigon@debian.org>  Sat, 21 Mar 2020 11:44:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,19 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
+               freerdp2-dev (>= 2.2),
                gnome-pkg-tools,
+               libcairo2-dev,
                libglib2.0-dev,
                libnotify-dev,
-               libpipewire-0.2-dev,
+               libpipewire-0.3-dev,
                libsecret-1-dev,
                libvncserver-dev,
-               meson (>= 0.36.0),
-Standards-Version: 4.3.0
+               libwinpr2-dev (>= 2.2),
+               meson (>= 0.47.0),
+               systemd,
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
 Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop
@@ -24,7 +28,9 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         pipewire
+         gnome-shell (>= 3.37.92-2~) | budgie-desktop (>= 10.5.2),
+         libmutter-7-0 (>= 3.37.92-1~),
+         pipewire (>= 0.3.0)
 Description: Remote desktop daemon for GNOME using PipeWire
  This daemon enables GNOME to offer remote desktop sharing using VNC
  with PipeWire. It supports both GNOME on X and GNOME on Wayland.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome --buildsystem=meson


override_dh_auto_test:
	dh_auto_test || true

## gnome-remote-desktop 40.2

=== debian/changelog ===
gnome-remote-desktop (40.2-1) unstable; urgency=medium

  * New upstream release
  * Drop bash patch since similar fix was applied in new release
  * debian/rules: Only disable RDP clipboard on Ubuntu, not derivatives
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Sep 2021 22:07:18 -0400

gnome-remote-desktop (40.1-4) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #992870)

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:47:36 +0100

gnome-remote-desktop (40.1-3) experimental; urgency=medium

  * Drop direct dependency on libmutter
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 19 Jul 2021 07:19:03 -0400

gnome-remote-desktop (40.1-2) experimental; urgency=medium

  * debian/patches: Fix a typo causing RDP clipboard not to be enabled in debian

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 01 Jun 2021 13:04:42 +0200

gnome-remote-desktop (40.1-1) experimental; urgency=medium

  * New upstream release:
  * debian/control:
    - Update build-dependencies to follow upstream
    - Also depend on any libmutter-8 version
  * debian/patches:
    - Remove patches merged upstream
    - Add option to disable rdp clipboard support.
      This requires libfuse-3 which is not in Ubuntu main yet, so add an
      option to disable it
  * debian/rules: Disable RDP clipboard in ubuntu builds.
    RDP clipboard requires libfuse-3 that is not in ubuntu main yet

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 18:03:34 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-remote-desktop
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               freerdp2-dev (>= 2.3.0),
               libcairo2-dev,
               libfuse3-dev (>= 3.9.1),
               libglib2.0-dev (>= 2.68),
               libnotify-dev,
               libpipewire-0.3-dev,
               libsecret-1-dev,
               libvncserver-dev,
               libwinpr2-dev (>= 2.3.0),
               libxkbcommon-dev (>= 1.0.0),
               meson (>= 0.47.0),
               systemd,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop

Package: gnome-remote-desktop
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gnome-shell (>= 3.37.92-2~) | budgie-desktop (>= 10.5.2),
         pipewire (>= 0.3.0)
Description: Remote desktop daemon for GNOME using PipeWire
 This daemon enables GNOME to offer remote desktop sharing using VNC
 with PipeWire. It supports both GNOME on X and GNOME on Wayland.
 Remote sharing can be enabled and managed in the GNOME Settings app.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	# Disable RDP clipboard in ubuntu as it requires libfuse-3, not in main yet
	dh_auto_configure -- \
		-Drdp_clipboard=false
else
	dh_auto_configure
endif

override_dh_auto_test:
	dh_auto_test || true

## gnome-remote-desktop 42.0

=== debian/changelog ===
gnome-remote-desktop (42.0-4ubuntu1) jammy; urgency=medium

  * debian: Prepare for ubuntu branching
  * debian/control: Update gnome-control-center breaks version for ubuntu.
    We need to ensure that g-c-c that uses new RDP and VNC gsettings keys is
    upgraded together with g-r-d as per lp:1968518.
    So lower the debian breaks to the ubuntu version.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Apr 2022 14:06:18 +0200

gnome-remote-desktop (42.0-4) unstable; urgency=medium

  * debian/patches: Ensure support with nvidia drivers >= 495
    the NVIDIA >= 495 drivers apparently allows creating and importing dma-bufs
    However, this won't succeed, but without an error.
    The result is that undefined content is drawn onto the screen on clients.
    This affects both the RDP and VNC backend.
    Disabling dma-bufs in such case gets rid of this issue, because with this
    patch g-r-d always assumes, that dma-bufs are unavailable with the NVIDIA
    driver.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Apr 2022 12:59:26 +0200

gnome-remote-desktop (42.0-3) unstable; urgency=medium

  * Team upload
  * Add a Breaks to get -control-center and -remote-desktop upgraded together
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Apr 2022 16:49:06 +0100

gnome-remote-desktop (42.0-2) experimental; urgency=medium

  * Cherry-pick commit to autostart as part of gnome-session.target

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 12 Apr 2022 08:22:43 -0400

gnome-remote-desktop (42.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 08:22:43 -0400

gnome-remote-desktop (42~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libffmpeg-nvenc-dev to 11.1.5

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 10:45:32 -0500

gnome-remote-desktop (42~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum freerdp to 2.5.0
  * debian/control.in: Build-Depend on libdrm-dev & libepoxy-dev
  * debian/control.in: Build-Depend on libgbm-dev & libgudev-1.0-dev for tests

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 16 Feb 2022 08:41:30 -0500

gnome-remote-desktop (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Jan 2022 07:11:05 -0500

gnome-remote-desktop (41.1-3) unstable; urgency=medium

  * debian/control.in:
    - Depends on pipewire-media-session | wireplumber, without one of those
      the video streams are paused and sharing isn't working

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 01 Dec 2021 13:15:36 +0100

gnome-remote-desktop (41.1-2) unstable; urgency=medium

  * Build-Depend on libffmpeg-nvenc-dev & enable NVENC support

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 22 Nov 2021 19:57:17 -0500

gnome-remote-desktop (41.1-1) unstable; urgency=medium

  * New upstream release
  * d/p/u/meson-Add-option-to-disable-rdp-clipboard-support.patch,
    debian/rules:
    - remove hacks to build without RDP clipboard on Ubuntu since fuse3
      is going to be promoted now.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Nov 2021 12:10:27 +0100

gnome-remote-desktop (41.0-1) unstable; urgency=medium

  * New upstream release
  * Rebase rdp-clipboard option patch
  * debian/control.in: Disable nvenc; needs new libffmpeg-nvenc-dev

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Sep 2021 17:24:20 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-remote-desktop
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               freerdp2-dev (>= 2.5.0),
               libcairo2-dev,
               libdrm-dev,
               libepoxy-dev (>= 1.4),
               libffmpeg-nvenc-dev (>= 11.1.5),
               libfuse3-dev (>= 3.9.1),
               libgbm-dev <!nocheck>,
               libglib2.0-dev (>= 2.68),
               libgudev-1.0-dev <!nocheck>,
               libnotify-dev,
               libpipewire-0.3-dev,
               libsecret-1-dev,
               libvncserver-dev,
               libwinpr2-dev (>= 2.3.0),
               libxkbcommon-dev (>= 1.0.0),
               meson (>= 0.47.0),
               systemd,
Standards-Version: 4.6.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git -b ubuntu/jammy
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop/tree/ubuntu/jammy
Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop

Package: gnome-remote-desktop
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gnome-shell (>= 3.37.92-2~) | budgie-desktop (>= 10.5.2),
         pipewire (>= 0.3.0),
         pipewire-media-session | wireplumber,
Breaks: gnome-control-center (<< 1:41.4-1ubuntu10)
Description: Remote desktop daemon for GNOME using PipeWire
 This daemon enables GNOME to offer remote desktop sharing using VNC
 with PipeWire. It supports both GNOME on X and GNOME on Wayland.
 Remote sharing can be enabled and managed in the GNOME Settings app.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_test:
	dh_auto_test || true

## gnome-remote-desktop 42.9

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,18 @@
+option('rdp',
+       type: 'boolean',
+       value: true,
+       description: 'Enable the RDP backend')
+
+option('vnc',
+       type: 'boolean',
+       value: true,
+       description: 'Enable the VNC backend')
+
+option('systemd',
+       type: 'boolean',
+       value: true,
+       description: 'Enable systemd support')
+
 option('systemd_user_unit_dir',
        type: 'string',
        value: '',

=== debian/changelog ===
gnome-remote-desktop (42.9-0ubuntu0.22.04.2) jammy; urgency=medium

  * debian/patches: Add upstream fixes for a shutdown crash (LP: #2024237)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 29 Aug 2023 16:47:38 +0200

gnome-remote-desktop (42.9-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2024248):
    - Fixes a crash found during verification of 42.8, see the bug
      above for further details.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 05 Jul 2023 19:54:01 +0200

gnome-remote-desktop (42.8-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2024248):
    - vnc: Ensure PipeWire buffers to be queued before destroying them
      (LP: #2024238)
    - rdp: Ensure PipeWire buffers to be queued before destroying them
      (LP: #2024240)
  * debian: Add tests dependencies and run tests failing in case

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 16 Jun 2023 22:59:49 +0200

gnome-remote-desktop (42.7-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1998966)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 16:34:29 -0500

gnome-remote-desktop (42.4-0ubuntu1) jammy; urgency=medium

  * New upstream version (LP: #1983788)

 -- Jesús Soto <jesus.soto@canonical.com>  Tue, 16 Aug 2022 10:10:22 -0500

gnome-remote-desktop (42.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1980748)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 06 Jul 2022 14:18:25 -0300

gnome-remote-desktop (42.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1976547)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Jun 2022 10:47:42 -0400

gnome-remote-desktop (42.1.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1970662)
    - Fixes black screen with virtio on qemu (LP: #1971195)
  * Drop all patches: applied in new release
  * Depend on libmutter instead of gnome-shell | budgie-desktop
    - This is a more accurate dependency
  * Require libmutter 42.1 for Nvidia fixes
  * Depend on fuse3 (Closes: #998846) (LP: #1970411)
  * Don't automatically enable the systemd user service (LP: #1973028)
  * Add postinst to remove the automatic enabling of the user service

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 May 2022 14:27:16 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                freerdp2-dev (>= 2.5.0),
@@ -26,7 +26,11 @@
                libwinpr2-dev (>= 2.3.0),
                libxkbcommon-dev (>= 1.0.0),
                meson (>= 0.47.0),
+               mutter <!nocheck>,
+               pipewire <!nocheck>,
+               python3-dbus <!nocheck>,
                systemd,
+               wireplumber <!nocheck>,
 Standards-Version: 4.6.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
@@ -38,7 +42,8 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gnome-shell (>= 3.37.92-2~) | budgie-desktop (>= 10.5.2),
+         fuse3,
+         libmutter-10-0 (>= 42.1),
          pipewire (>= 0.3.0),
          pipewire-media-session | wireplumber,
 Breaks: gnome-control-center (<< 1:41.4-1ubuntu10)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

%:
	dh $@

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),s390x))
    TESTS_CAN_FAIL=true
else
    TESTS_CAN_FAIL=false
endif

override_dh_auto_test:
	glib-compile-schemas "$(BUILDDIR)/src"
	tmpdir=$(shell mktemp -d --tmpdir grd-XXXXXX) && \
	  mkdir -m700 $$tmpdir/xrd && \
	  env XDG_RUNTIME_DIR=$$tmpdir/xrd \
	  GSETTINGS_SCHEMA_DIR="$(BUILDDIR)/src" \
	  GSETTINGS_BACKEND=keyfile \
	  dbus-run-session -- debian/tests-wrapper.sh \
	  meson test -C $(BUILDDIR) --no-rebuild --verbose -t 5 \
	    --no-stdsplit --print-errorlogs || $(TESTS_CAN_FAIL)

# https://launchpad.net/bugs/1973028
override_dh_installsystemduser:
	dh_installsystemduser --no-enable

## gnome-remote-desktop 43.0

=== debian/changelog ===
gnome-remote-desktop (43.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release
  * Don't build audio forwarding feature since fdk-aac isn't in Debian
    or Ubuntu 'main' yet
  * debian/control.in: Build-Depend on libtss2-dev
  * debian/control.in: Build-Depend on asciidoc-base & docbook-xml
  * debian/control.in: Bump minimum freerdp to 2.8.0
  * debian/control.in: Set Rules-Requires-Root: no
  * Update mutter dependency for GNOME 43
  * Cherry-pick 2 patches to fix crashes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 15:12:52 -0400

gnome-remote-desktop (42.4-1) unstable; urgency=medium

  * New upstream release (LP: #1983788)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 07 Aug 2022 16:46:54 -0400

gnome-remote-desktop (42.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release (LP: #1980748)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 04 Jul 2022 11:36:33 -0300

gnome-remote-desktop (42.2-1) unstable; urgency=medium

  * New upstream release (LP: #1976547)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Jun 2022 14:54:51 -0400

gnome-remote-desktop (42.1.1-2) unstable; urgency=high

  * Don't automatically enable the systemd user service (LP: #1973028)
  * Add postinst to remove the automatic enabling of the user service
  * debian/control: Lower mutter dependency so that these fixes reach
    Testing sooner

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 May 2022 15:19:46 -0400

gnome-remote-desktop (42.1.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970662)
    - Fixes black screen with virtio on qemu (LP: #1971195)
  * Drop all patches: applied in new release
  * Depend on libmutter instead of gnome-shell | budgie-desktop
    - This is a more accurate dependency
  * Require libmutter 42.1 for Nvidia fixes
  * Depend on fuse3 (Closes: #998846) (LP: #1970411)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 May 2022 14:50:48 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-remote-desktop
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               asciidoc-base,
               dh-sequence-gnome,
               freerdp2-dev (>= 2.8.0),
               docbook-xml,
               libcairo2-dev,
               libdrm-dev,
               libepoxy-dev (>= 1.4),
#               libfdk-aac-dev,
               libffmpeg-nvenc-dev (>= 11.1.5),
               libfuse3-dev (>= 3.9.1),
               libgbm-dev <!nocheck>,
               libglib2.0-dev (>= 2.68),
               libgudev-1.0-dev <!nocheck>,
               libnotify-dev,
               libpipewire-0.3-dev,
               libsecret-1-dev,
               libtss2-dev,
               libvncserver-dev,
               libwinpr2-dev (>= 2.3.0),
               libxkbcommon-dev (>= 1.0.0),
               meson (>= 0.47.0),
               systemd,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop

Package: gnome-remote-desktop
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         fuse3,
         libmutter-11-0 (>= 43),
         pipewire (>= 0.3.0),
         pipewire-media-session | wireplumber,
Breaks: gnome-control-center (<< 1:42)
Description: Remote desktop daemon for GNOME using PipeWire
 This daemon enables GNOME to offer remote desktop sharing using VNC
 with PipeWire. It supports both GNOME on X and GNOME on Wayland.
 Remote sharing can be enabled and managed in the GNOME Settings app.

## gnome-remote-desktop 43.1

=== debian/changelog ===
gnome-remote-desktop (43.1-1) unstable; urgency=medium

  * New upstream release (LP: #1995245)
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 31 Oct 2022 10:38:58 +0100

gnome-remote-desktop (43.0-2) unstable; urgency=medium

  * Update mutter dependency for mutter 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2022 19:25:16 -0400

gnome-remote-desktop (43.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1019342)
    - Only RDP is provided now because it offers better performance and
      privacy and is supported by a wide number of clients (Closes: #1012271)
  * Don't build audio forwarding feature since fdk-aac isn't in Debian
    or Ubuntu 'main' yet
  * debian/control.in: Build-Depend on libtss2-dev
  * debian/control.in: Build-Depend on asciidoc-base & docbook-xml
  * debian/control.in: Bump minimum freerdp to 2.8.0
  * debian/control.in: Set Rules-Requires-Root: no
  * Cherry-pick 2 patches to fix crashes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 19:45:03 -0400

## gnome-remote-desktop 43.2

=== debian/changelog ===
gnome-remote-desktop (43.2-1) unstable; urgency=medium

  * New upstream release (LP: #1995245)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 14:49:34 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-remote-desktop
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,

## gnome-remote-desktop 43.3

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,13 @@
+option('man',
+       type: 'boolean',
+       value: true,
+       description: 'Generate man pages')
+
+option('fdk_aac',
+       type: 'boolean',
+       value: true,
+       description: 'Audio output redirection for the RDP backend')
+
 option('rdp',
        type: 'boolean',
        value: true,
@@ -5,7 +15,7 @@
 
 option('vnc',
        type: 'boolean',
-       value: true,
+       value: false,
        description: 'Enable the VNC backend')
 
 option('systemd',

=== debian/changelog ===
gnome-remote-desktop (43.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Remove incorrect nocheck annotation from libgbm-dev Build-Depends
    (Closes: #1023582)

  [ Ben Westover ]
  * Update dependencies and description to reflect removal of VNC

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Jan 2023 11:16:08 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                dh-sequence-gnome,
@@ -18,14 +18,13 @@
 #               libfdk-aac-dev,
                libffmpeg-nvenc-dev (>= 11.1.5),
                libfuse3-dev (>= 3.9.1),
-               libgbm-dev <!nocheck>,
+               libgbm-dev,
                libglib2.0-dev (>= 2.68),
                libgudev-1.0-dev <!nocheck>,
                libnotify-dev,
                libpipewire-0.3-dev,
                libsecret-1-dev,
                libtss2-dev,
-               libvncserver-dev,
                libwinpr2-dev (>= 2.3.0),
                libxkbcommon-dev (>= 1.0.0),
                meson (>= 0.47.0),
@@ -46,6 +45,6 @@
          pipewire-media-session | wireplumber,
 Breaks: gnome-control-center (<< 1:42)
 Description: Remote desktop daemon for GNOME using PipeWire
- This daemon enables GNOME to offer remote desktop sharing using VNC
- with PipeWire. It supports both GNOME on X and GNOME on Wayland.
+ This daemon enables GNOME to offer remote desktop sharing and control
+ using RDP with PipeWire. It supports GNOME on both X11 and Wayland.
  Remote sharing can be enabled and managed in the GNOME Settings app.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

# https://bugs.debian.org/981285
# https://launchpad.net/bugs/1977614
override_dh_auto_configure:
	dh_auto_configure -- -Dfdk_aac=false

override_dh_auto_test:
	dh_auto_test || true

# https://launchpad.net/bugs/1973028
override_dh_installsystemduser:
	dh_installsystemduser --no-enable

## gnome-remote-desktop 43.4

=== debian/changelog ===
gnome-remote-desktop (43.4-1) unstable; urgency=medium

  * New upstream translations release
    - Add Belarusian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 15:56:00 -0400

## gnome-remote-desktop 44.0

=== debian/changelog ===
gnome-remote-desktop (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:42:38 -0400

gnome-remote-desktop (44~rc-1) experimental; urgency=medium

  * New upstream release
  * Depend on libmutter-12 instead of libmutter-11
  * debian/control.in: Bump minimum freerdp to 2.10.10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 09:30:27 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                dh-sequence-gnome,
-               freerdp2-dev (>= 2.8.0),
+               freerdp2-dev (>= 2.10.0),
                docbook-xml,
                libcairo2-dev,
                libdrm-dev,
@@ -40,7 +40,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          fuse3,
-         libmutter-11-0 (>= 43),
+         libmutter-12-0 (>= 44~),
          pipewire (>= 0.3.0),
          pipewire-media-session | wireplumber,
 Breaks: gnome-control-center (<< 1:42)

## gnome-remote-desktop 44.2

=== debian/changelog ===
gnome-remote-desktop (44.2-3) experimental; urgency=medium

  * debian/control: Add dbus-daemon to b-d for dbus-run-session

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 17 Jun 2023 05:49:15 +0200

gnome-remote-desktop (44.2-2) experimental; urgency=medium

  * debian: Add tests dependencies and run tests, not allowing failures
    in most of architectures (big endian are not supported yet)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 16 Jun 2023 22:45:17 +0200

gnome-remote-desktop (44.2-1) experimental; urgency=medium

  * New upstream release (LP: #2021526)
  * Update standards version to 4.6.2, no changes needed

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 29 May 2023 14:19:05 -0400

gnome-remote-desktop (44.1-1) experimental; urgency=medium

  * New upstream release
  * debian/upstream/metadata: Fix malformed file, causing gbp clone with
    --add-upstream-vcs to crash with a traceback with the following error
    at the end:
      yaml.scanner.ScannerError: mapping values are not allowed here
      in "debian/upstream/metadata", line 2, column 13

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 27 Apr 2023 11:38:46 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                dh-sequence-gnome,
                freerdp2-dev (>= 2.10.0),
+               dbus-daemon <!nocheck>,
                docbook-xml,
                libcairo2-dev,
                libdrm-dev,
@@ -28,8 +29,14 @@
                libwinpr2-dev (>= 2.3.0),
                libxkbcommon-dev (>= 1.0.0),
                meson (>= 0.47.0),
+               mutter <!nocheck>,
+               openssl <!nocheck>,
+               pipewire <!nocheck>,
+               python3-dbus <!nocheck>,
+               python3-gi <!nocheck>,
                systemd,
-Standards-Version: 4.6.0
+               wireplumber <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+
+BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 
 %:
 	dh $@
@@ -11,8 +15,23 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -Dfdk_aac=false
 
+
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),arm64 avr32 hppa m68k mips mips64 mipsn32 powerpc ppc64 s390 s390x sparc sparc64))
+    TESTS_CAN_FAIL=true
+else
+    TESTS_CAN_FAIL=false
+endif
+
 override_dh_auto_test:
-	dh_auto_test || true
+	glib-compile-schemas "$(BUILDDIR)/src"
+	tmpdir=$(shell mktemp -d --tmpdir grd-XXXXXX) && \
+	  mkdir -m700 $$tmpdir/xrd && \
+	  env XDG_RUNTIME_DIR=$$tmpdir/xrd \
+	  GSETTINGS_SCHEMA_DIR="$(BUILDDIR)/src" \
+	  GSETTINGS_BACKEND=keyfile \
+	  dbus-run-session -- debian/tests-wrapper.sh \
+	  meson test -C $(BUILDDIR) --no-rebuild --verbose -t 5 \
+	    --no-stdsplit --print-errorlogs || $(TESTS_CAN_FAIL)
 
 # https://launchpad.net/bugs/1973028
 override_dh_installsystemduser:

## gnome-remote-desktop 45~beta

=== debian/changelog ===
gnome-remote-desktop (45~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Switch libmutter dependency to 13 (GNOME 45)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 21 Aug 2023 15:28:36 -0400

gnome-remote-desktop (44.2-6) unstable; urgency=medium

  * Team upload
  * Upload to unstable (part of transition: #1043144)

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Aug 2023 22:43:15 +0100

gnome-remote-desktop (44.2-5) experimental; urgency=medium

  * debian/rules: Also ignore failures for newly enabled tests on mipsel & x32

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 08:17:49 -0400

gnome-remote-desktop (44.2-4) experimental; urgency=medium

  * Team upload
  * Merge packaging from unstable
  * Override a Lintian false-positive (see #1031037)

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Aug 2023 13:03:43 +0100

gnome-remote-desktop (43.4-2) unstable; urgency=medium

  * Team upload
  * d/control.in: Drop pipewire-media-session alternative dependency.
    pipewire-media-session is not going to be included in trixie
    (see #1030765), so wireplumber is the only option. The release team's
    autoremovals machinery only considers the preferred (first) dependency
    in an alternative-group, so this change is necessary to prevent
    autoremoval.
  * d/control.in, d/gbp.conf: Use debian/trixie packaging branch

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Aug 2023 10:49:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                dh-sequence-gnome,
@@ -47,9 +47,9 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          fuse3,
-         libmutter-12-0 (>= 44~),
+         libmutter-13-0 (>= 45~),
          pipewire (>= 0.3.0),
-         pipewire-media-session | wireplumber,
+         wireplumber,
 Breaks: gnome-control-center (<< 1:42)
 Description: Remote desktop daemon for GNOME using PipeWire
  This daemon enables GNOME to offer remote desktop sharing and control

## gnome-remote-desktop 45.0

=== debian/changelog ===
gnome-remote-desktop (45.0-1) experimental; urgency=medium

  * New upstream release (LP: #2038108)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Oct 2023 12:14:30 -0400

gnome-remote-desktop (45~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libei-dev
  * debian/control.in: Bump minimum mutter to 45~rc
  * Add debian/docs to install NEWS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 16:47:01 -0400

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                docbook-xml,
                libcairo2-dev,
                libdrm-dev,
+               libei-dev (>= 1.0.901),
                libepoxy-dev (>= 1.4),
 #               libfdk-aac-dev,
                libffmpeg-nvenc-dev (>= 11.1.5),
@@ -29,7 +30,7 @@
                libwinpr2-dev (>= 2.3.0),
                libxkbcommon-dev (>= 1.0.0),
                meson (>= 0.47.0),
-               mutter <!nocheck>,
+               mutter (>= 45~rc) <!nocheck>,
                openssl <!nocheck>,
                pipewire <!nocheck>,
                python3-dbus <!nocheck>,
@@ -47,7 +48,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          fuse3,
-         libmutter-13-0 (>= 45~),
+         libmutter-13-0 (>= 45~rc),
          pipewire (>= 0.3.0),
          wireplumber,
 Breaks: gnome-control-center (<< 1:42)

## gnome-remote-desktop 45.1

=== debian/changelog ===
gnome-remote-desktop (45.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 24 Oct 2023 13:48:57 -0400

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_auto_configure -- -Dfdk_aac=false
 
 
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),arm64 avr32 hppa m68k mips mips64 mipsn32 powerpc ppc64 s390 s390x sparc sparc64))
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),arm64 avr32 hppa m68k mips mipsel mips64 mipsn32 powerpc ppc64 s390 s390x sparc sparc64 x32))
     TESTS_CAN_FAIL=true
 else
     TESTS_CAN_FAIL=false

## gnome-remote-desktop 46.1

=== debian/changelog ===
gnome-remote-desktop (46.1-1) experimental; urgency=medium

  * New upstream release (LP: #2062076)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Apr 2024 17:52:06 -0400

gnome-remote-desktop (46.0-2) experimental; urgency=medium

  [ Michael Biebl ]
  * Build-depend on systemd-dev instead of systemd (Closes: #1060499)

  [ Jeremy Bícha ]
  * Add changelog from 44.2-8

  [ Marco Trevisan (Treviño) ]
  * debian/patches/fdkaac: Do not force codecs once negotiation took place.
    We forced a different codec when peers should have already decided them
    based on the ones that the two parties support.
    Drop this code as it may lead to g-r-d crashes and potential security
    issues as suggested by Pascal Nowack (upstream maintainer).
    Plus revert the previous previous upload change since it was stoping the
    said nogtiation to happen.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Apr 2024 04:38:26 +0200

gnome-remote-desktop (46.0-1) experimental; urgency=medium

  * New upstream release
  * Switch from freerdp2 to freerdp3
  * Build with mutter 46
  * Bump minimum glib & libei
  * Add Build-Depends: libdbus-1-dev, libopus-dev, libpolkit-gobject-1-dev,
    libsystemd-dev
  * Add patch to keep fdkaac optional since fdk-aac-free is still in universe

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 16:29:53 -0400

gnome-remote-desktop (45.1-3) experimental; urgency=medium

  * Team upload
  * Merge packaging from unstable
    - Stop marking libgudev-1.0-dev as <!nocheck>.
      It is needed at build-time, even when not intending to run the
      test suite. (Closes: #1029451)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Mar 2024 19:53:25 +0000

gnome-remote-desktop (45.1-2) experimental; urgency=medium

  * Stop using debian/control.in and dh_gnome_clean
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 09:46:57 -0500

gnome-remote-desktop (44.2-8) unstable; urgency=medium

  * Update Depends: libmutter-12-0 to libmutter-12-0t64 (Closes: #1068213)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Apr 2024 13:56:27 -0400

gnome-remote-desktop (44.2-7) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Use debian/trixie, upstream/44.x branches
  * Stop using debian/control.in and dh_gnome_clean
  * Stop marking libgudev-1.0-dev as <!nocheck>.
    It is needed at build-time, even when not intending to run the
    test suite. (Closes: #1029451)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Mar 2024 17:53:17 +0000

=== debian/control ===
Source: gnome-remote-desktop
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: asciidoc-base,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               docbook-xml,
               freerdp3-dev (>= 3.1.0),
               libcairo2-dev,
               libdbus-1-dev,
               libdrm-dev,
               libei-dev (>= 1.2.0),
               libepoxy-dev (>= 1.4),
#               libfdk-aac-dev,
               libffmpeg-nvenc-dev (>= 11.1.5),
               libfuse3-dev (>= 3.9.1),
               libgbm-dev,
               libglib2.0-dev (>= 2.75.0),
               libgudev-1.0-dev,
               libnotify-dev,
               libopus-dev,
               libpipewire-0.3-dev,
               libpolkit-gobject-1-dev (>= 122),
               libsecret-1-dev,
               libsystemd-dev,
               libtss2-dev,
               libwinpr2-dev (>= 2.3.0),
               libxkbcommon-dev (>= 1.0.0),
               meson (>= 0.47.0),
               mutter (>= 46) <!nocheck>,
               openssl <!nocheck>,
               pipewire <!nocheck>,
               python3-dbus <!nocheck>,
               python3-gi <!nocheck>,
               systemd-dev,
               wireplumber <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop

Package: gnome-remote-desktop
Architecture: linux-any
Depends: fuse3,
         libmutter-14-0 (>= 46),
         pipewire (>= 0.3.0),
         wireplumber,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-control-center (<< 1:42)
Description: Remote desktop daemon for GNOME using PipeWire
 This daemon enables GNOME to offer remote desktop sharing and control
 using RDP with PipeWire. It supports GNOME on both X11 and Wayland.
 Remote sharing can be enabled and managed in the GNOME Settings app.

=== debian/rules ===
--- 
+++ 
@@ -36,3 +36,5 @@
 # https://launchpad.net/bugs/1973028
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
+
+override_dh_gnome_clean:
